## ros-foxy-test-interface-files 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(test_interface_files NONE)

find_package(ament_cmake_core REQUIRED)

set(msg_files
  "msg/Arrays.msg"
  "msg/BasicTypes.msg"
  "msg/BoundedSequences.msg"
  "msg/Constants.msg"
  "msg/Defaults.msg"
  "msg/Empty.msg"
  "msg/MultiNested.msg"
  "msg/Nested.msg"
  "msg/Strings.msg"
  "msg/UnboundedSequences.msg"
  "msg/WStrings.msg"
)

set(srv_files
  "srv/Arrays.srv"
  "srv/BasicTypes.srv"
  "srv/Empty.srv"
)

set(action_files
  "action/Fibonacci.action"
)

set(idl_files
  # "idl/IdlOnlyTypes.idl"
)

set(interface_install_dir "share/${PROJECT_NAME}")

install(
  FILES ${msg_files}
  DESTINATION ${interface_install_dir}/msg
)
install(
  FILES ${srv_files}
  DESTINATION ${interface_install_dir}/srv
)
install(
  FILES ${action_files}
  DESTINATION ${interface_install_dir}/action
)
install(
  FILES ${idl_files}
  DESTINATION ${interface_install_dir}/idl
)

ament_package(
  CONFIG_EXTRAS ${PROJECT_NAME}-extras.cmake.in
)

=== debian/changelog ===
ros-foxy-test-interface-files (0.8.1-1focal) focal; urgency=high

  * Update maintainer (#13 <https://github.com/ros2/test_interface_files/issues/13>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-foxy-test-interface-files (0.8.0-1focal) focal; urgency=high

  * remove absolute paths from installed CMake code (#9 <https://github.com/ros2/test_interface_files/issues/9>)
  * add wstring default values with non-ASCII characters (#8 <https://github.com/ros2/test_interface_files/issues/8>)
  * Add Arrays.srv (#7 <https://github.com/ros2/test_interface_files/issues/7>)
  * add IdlOnlyTypes - even though they are commented out atm (#6 <https://github.com/ros2/test_interface_files/issues/6>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 24 Sep 2019 00:00:00 -0000

ros-foxy-test-interface-files (0.7.0-1focal) focal; urgency=high

  * add WStrings message (#4 <https://github.com/ros2/test_interface_files/issues/4>)
  * Refactor interface messages (#3)
    
    Rename messages towards consolidation
    
    Refactor message fields
    
    Add fields to cover test cases
    
    Move string fields to Strings.msg
    
    Comment out fields that have issues to be resolved
    
    Remove old interface files
  * Rename messages to align with IDL terminology
  * rename package, remove all dependencies, and only install the interface files
  * move package content into the root of the repo
  * Merge: test_msgs package from ros2/rcl_interfaces
    The commit messages have been rewritten to reference the tickets in the original repository

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 08 May 2019 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-test-interface-files
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-core, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-test-interface-files
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros-workspace
Description: A package containing message definitions and fixtures used exclusively for testing purposes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-test-interface-files//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
